Edit traffic policy health check

Prev Next

Available in Classic and VPC

Edit health check information of a traffic policy.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
PUT /gtm/v1/policies/{policyId}/monitors

Request headers

For information about the headers common to all Traffic Policy APIs, see Traffic Policy API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
policyId Integer Required Policy ID

Request body

See PolicyRequest for the request body.

Request example

The following is a sample request.

curl --location --request PUT 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/policies/****/monitors' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "hostHeader": "naver.com",
    "path": "/path",
    "period": 30,
    "port": 80,
    "protocol": "HTTP",
    "thresholdFail": 1,
    "thresholdNormal": 1
}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Traffic Policy APIs, see Traffic Policy API response status codes.

Response example

The following is a sample response.

"SUCCESS"

Error code example

The following is a sample error code.

{
  "result": "FAIL",
  "error": {
    "errorCode": "05X000",
    "message": "Invalid value.<br>Hover your mouse over the displayed area to see the details in a tooltip.",
    "devMessage": "Invalid value.",
    "moreInfo": {
      "validationInfo": [
        {
          "fieldPath": "monitor.hostHeader",
          "msg": "hostHeader can't be entered unless the protocol is HTTP/HTTPS."
        }
      ],
      "timestamp": "2022-11-16T10:54:47.191+09:00"
    }
  }
}